## pasteString and burnString

### Syntax:

    pasteString (x, y, thisString);

    burnString (x, y, thisString);

### Purpose:

Adds text to the background image. The parameter thisString is added to the screen at the position (x, y).

If the value of x is CENTRE (or CENTER) the text is added halfway across the screen. Otherwise, the x value is used as the horizontal position of the hotspot of the first character of thisString. The y parameter is always used as the vertical position of the hotspot of every character of thisString - the enumeration CENTRE (or CENTER) shouldn't be used as the y parameter. If it is, the text will not appear on the screen.

Both pasteString and burnString use the font most recently loaded by the setFont command. pasteString uses the colour specified by the setPasteColour (or setPasteColor) command. burnString adds text in the colour specified by setBurnColour (or setBurnColor), using the differing brightness levels of the font to achieve an anti-aliasing effect.

### Return value:

No return value.

### See also:

The Background Image

say and think

statusText

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012